%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          jboss-mx
Version:       6.0.0
Release:       %mkrel 1
Summary:       JBossMX
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jbossmx/tags/6.0.0.GA/ jbossmx-6.0.0.GA
# tar czf jbossmx-6.0.0.GA-src-svn.tar.gz jbossmx-6.0.0.GA
Source0:       jbossmx-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: bcel
BuildRequires: dom4j
BuildRequires: jboss-common-core
BuildRequires: jboss-integration
BuildRequires: jboss-logging-log4j
BuildRequires: jboss-logging-spi
BuildRequires: jboss-test
BuildRequires: jbossxb
BuildRequires: xerces-j2

BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      bcel
Requires:      dom4j
Requires:      jboss-common-core
Requires:      jboss-integration
Requires:      jboss-logging-log4j
Requires:      jboss-logging-spi
Requires:      jboss-test
Requires:      jbossxb
Requires:      xerces-j2

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JBoss MBeanServer and MBean implementations.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jbossmx-%{namedversion}

find . -name "*.class" -exec rm {} \;
find . -name "*.jar" -exec rm {} \;

%build
# Failed tests:   testFindNonCreated(org.jboss.test.jmx.compliance.server.MBeanServerFactoryTEST): expected:<0> but was:<2>
# testCreateFindAndRelease(org.jboss.test.jmx.compliance.server.MBeanServerFactoryTEST): expected:<1> but was:<3>
# Failed tests:   testFindNonCreated(org.jboss.test.jmx.compliance.server.MBeanServerFactoryTEST): expected:<0> but was:<2>
mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom

for mx in j2se \
 jmx \
 jmx-annotations \
 mbeans \
 mbeanserver \
; do
  install -m 644 ${mx}/target/jboss-${mx}.jar \
    %{buildroot}%{_javadir}/%{name}/${mx}.jar
  install -m 644 ${mx}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${mx}.pom
  %add_maven_depmap JPP.%{name}-${mx}.pom %{name}/${mx}.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Mar 06 2012 gil <gil> 6.0.0-1.mga2
+ Revision: 220374
- imported package jboss-mx

